package com.tanya.careerguidanceproject.fragments

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
//import android.widget.EditText
//import android.widget.TextView
import com.tanya.careerguidanceproject.DBHandler
import com.tanya.careerguidanceproject.R
import com.tanya.careerguidanceproject.UserModal
//import kotlinx.android.synthetic.*
import java.util.ArrayList

class ProfileFragment : Fragment() {

    private lateinit var dbHandler: DBHandler
    private lateinit var userModalArrayList: ArrayList<UserModal>

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment

        val view = inflater.inflate(R.layout.fragment_profile, container, false)
/*
        val userName: TextView = view.findViewById(R.id.txtUserName)
        val userEmail: TextView =view.findViewById(R.id.txtUserEmail)
        val userMobNo: TextView = view.findViewById(R.id.txtUserMobNo)
        val userPassword: TextView = view.findViewById(R.id.txtUserPassword)
        //dbHandler = DBHandler(this@ProfileFragment)
        userModalArrayList = ArrayList()

        var etName = view.findViewById<EditText>(R.id.etNameRegister)
        val userProfileName = etName.text.toString()

        userModalArrayList = dbHandler.readUser(userProfileName)
*/
        return view
    }
}